serverAvailable API Endpoints

OAuth

Get or Refresh an Access Token

Use this endpoint to retrieve access tokens, for example after OAuth authorization or for refreshing an existing access token.

post

Get an access token.

Body
grant_typestring · enumRequiredPossible values:
client_idstringRequired
client_secretstringRequired
redirect_uristringRequiredExample: https://your-application.com/oauth-callback
codestringRequired

The authorization code you received from the OAuth callback

Responses
chevron-right
200

Access token successfully generated.

application/json
access_tokenstringOptional

A token that can be used to access the API.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
refresh_tokenstringOptional

A token that can be used to obtain a new access token.

Example: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
expires_inintegerOptional

The number of seconds until the access token expires.

Example: 31536000
post
/v1/oauth/token
200

Access token successfully generated.

Token Meta Information

Use this endpoint to retrieve meta information about the used API key. It is also helpful to check the validity of a provided API token.

get

Get information about how you are currently authenticated.

Responses
chevron-right
200

Information about the current authentication.

application/json
authentication_typestring · enumOptionalPossible values:
get
/v1/about

Get the number of matching contacts for a set of object properties

Use this endpoint to get the number of contacts matching with the provided object characteristics.

get

Get the number of matching contacts for a set of object properties.

Query parameters
latnumber · floatRequired

The latitude of the location to search around.

Example: 53.595173
lngnumber · floatRequired

The longitude of the location to search around.

Example: 10.022174
pricenumber · floatOptional

The price of the object in EUR.

Example: 400000
roomsnumber · floatOptional

The number of rooms in the object.

Example: 4.5
land_areanumber · floatOptional

The land area of the object, in square meters. This is only relevant for houses and plots.

Example: 1200
living_spacenumber · floatOptional

The living space of the object, in square meters.

Example: 82.5
typestring · enumOptional

The type of object.

Example: housePossible values:
Responses
chevron-right
200

The number of matching contacts.

application/json
countintegerOptional

The number of matching contacts.

get
/v1/matching-contacts-count

Last updated